### GET /api/v2/settings Source: https://cloud.ibm.com/apidocs/atracker.json Get information about the current settings including default targets. ```markdown ### Responses #### 200 - Get atracker service settings **Settings** - **default_targets** (array (string)) (required): The target ID List. In the event that no routing rule causes the event to be sent to a target, these targets will receive the event. Enterprise-managed targets are not supported. - **permitted_target_regions** (array (string)) (required): If present then only these regions may be used to define a target. - **metadata_region_primary** (string) (required): To store all your meta data in a single region. (example: "us-south") - **metadata_region_backup** (string): To store all your meta data in a backup region. (example: "eu-de") - **private_api_endpoint_only** (boolean) (required): If you set this true then you cannot access api through public network. (example: false) - **api_version** (integer) (required): API version used for configuring IBM Cloud Activity Tracker Event Routing resources in the account. (example: 2) - **message** (string): An optional message containing information about the audit log locations. (example: "The route and target audit logs can be found in the metadata primary region and everything else can be found in the region it is being called from.") #### 400 - response **ErrorReport** #### 401 - response **ErrorReport** #### 403 - response **ErrorReport** #### 429 - response **ErrorReport** #### 500 - response **ErrorReport** ### Example Usage ```bash curl -X GET "https://us-south.atracker.cloud.ibm.com/api/v2/settings" ``` ``` -------------------------------- ### GET /api/v2/targets/{id} Source: https://cloud.ibm.com/apidocs/atracker.json Retrieve the configuration details of a target. **Enterprise management** - The response will include a `managed_by` field indicating if the target is managed by `"enterprise"` or `"account"`. ```markdown ### Responses #### 200 - Retrieve a target. **Target** - **id** (string) (required): The uuid of the target resource. (example: "f7dcfae6-e7c5-08ca-451b-fdfa696c9bb6") - **name** (string) (required): The name of the target resource. (example: "a-cos-target-us-south") - **crn** (string) (required): The crn of the target resource. (example: "crn:v1:bluemix:public:atracker:us-south:a/11111111111111111111111111111111:b6eec08b-5201-08ca-451b-cd71523e3626:target:f7dcfae6-e7c5-08ca-451b-fdfa696c9bb6") - **target_type** (string (cloud_object_storage|event_streams|cloud_logs)) (required): The type of the target. (example: "cloud_object_storage") ("cloud_object_storage"|"event_streams"|"cloud_logs") - **region** (string): Included this optional field if you used it to create a target in a different region other than the one you are connected. (example: "us-south") - **cos_endpoint** (object): Property values for a Cloud Object Storage Endpoint in responses. - **endpoint** (string) (required): The host name of the Cloud Object Storage endpoint. (example: "s3.private.us-east.cloud-object-storage.appdomain.cloud") - **target_crn** (string) (required): The CRN of the Cloud Object Storage instance. (example: "crn:v1:bluemix:public:cloud-object-storage:global:a/11111111111111111111111111111111:22222222-2222-2222-2222-222222222222::") - **bucket** (string) (required): The bucket name under the Cloud Object Storage instance. (example: "my-atracker-bucket") - **service_to_service_enabled** (boolean) (required): Determines if IBM Cloud Activity Tracker Event Routing has service to service authentication enabled. Set this flag to true if service to service is enabled and do not supply an apikey. (example: true) - **eventstreams_endpoint** (object): Property values for the Event Streams Endpoint in responses. - **target_crn** (string) (required): The CRN of the Event Streams instance. (example: "crn:v1:bluemix:public:messagehub:us-south:a/11111111111111111111111111111111:22222222-2222-2222-2222-222222222222::") - **brokers** (array (string)) (required): List of broker endpoints. - **topic** (string) (required): The messsage hub topic defined in the Event Streams instance. (example: "my-topic") - **api_key** (string): The user password (api key) for the message hub topic in the Event Streams instance. (example: "xxxxxxxxxxxxxx") - **service_to_service_enabled** (boolean): Determines if IBM Cloud Activity Tracker Event Routing has service to service authentication enabled. Set this flag to true if service to service is enabled and do not supply an apikey. (example: false) - **cloudlogs_endpoint** (object): Property values for the IBM Cloud Logs endpoint in responses. - **target_crn** (string) (required): The CRN of the IBM Cloud Logs instance. (example: "crn:v1:bluemix:public:eu-es:a/11111111111111111111111111111111:22222222-2222-2222-2222-222222222222::") - **write_status** (object) (required): The status of the write attempt to the target with the provided endpoint parameters. - **status** (string) (required): The status such as failed or success. (example: "success") - **last_failure** (string (date-time)): The timestamp of the failure. (example: "2021-05-18T20:15:12.353Z") - **reason_for_last_failure** (string): Detailed description of the cause of the failure. (example: "Provided API key could not be found") - **created_at** (string (date-time)) (required): The timestamp of the target creation time. (example: "2021-05-18T20:15:12.353Z") - **updated_at** (string (date-time)) (required): The timestamp of the target last updated time. (example: "2021-05-18T20:15:12.353Z") - **message** (string): An optional message containing information about the target. (example: "This is a valid target. However, there is another target already defined with the same target endpoint.") - **api_version** (integer) (required): The API version of the target. (example: 2) - **managed_by** (string (enterprise|account)) (required): Identifies who manages the target. (example: "enterprise") ("enterprise"|"account") #### 400 - response **ErrorReport** #### 401 - response **ErrorReport** #### 403 - response **ErrorReport** #### 404 - response **ErrorReport** #### 429 - response **ErrorReport** #### 500 - response **ErrorReport** ### Example Usage ```bash curl -X GET "https://us-south.atracker.cloud.ibm.com/api/v2/targets/{id}" ``` ``` -------------------------------- ### GET /api/v2/targets Source: https://cloud.ibm.com/apidocs/atracker.json List all targets that are defined for your account. **Enterprise management** - The response will include the `managed_by` field. - The `managed_by` attribute is immutable; it cannot be changed after creation. This endpoint only reads/returns targets and does not modify their state. ```markdown ### Parameters - **region** (string, query, optional): Limit the query to the specified region ### Responses #### 200 - List all targets defined. **TargetList** - **targets** (array (Target)) (required): A list of target resources. Array items: - **id** (string) (required): The uuid of the target resource. (example: "f7dcfae6-e7c5-08ca-451b-fdfa696c9bb6") - **name** (string) (required): The name of the target resource. (example: "a-cos-target-us-south") - **crn** (string) (required): The crn of the target resource. (example: "crn:v1:bluemix:public:atracker:us-south:a/11111111111111111111111111111111:b6eec08b-5201-08ca-451b-cd71523e3626:target:f7dcfae6-e7c5-08ca-451b-fdfa696c9bb6") - **target_type** (string (cloud_object_storage|event_streams|cloud_logs)) (required): The type of the target. (example: "cloud_object_storage") ("cloud_object_storage"|"event_streams"|"cloud_logs") - **region** (string): Included this optional field if you used it to create a target in a different region other than the one you are connected. (example: "us-south") - **cos_endpoint** (object): Property values for a Cloud Object Storage Endpoint in responses. - **endpoint** (string) (required): The host name of the Cloud Object Storage endpoint. (example: "s3.private.us-east.cloud-object-storage.appdomain.cloud") - **target_crn** (string) (required): The CRN of the Cloud Object Storage instance. (example: "crn:v1:bluemix:public:cloud-object-storage:global:a/11111111111111111111111111111111:22222222-2222-2222-2222-222222222222::") - **bucket** (string) (required): The bucket name under the Cloud Object Storage instance. (example: "my-atracker-bucket") - **service_to_service_enabled** (boolean) (required): Determines if IBM Cloud Activity Tracker Event Routing has service to service authentication enabled. Set this flag to true if service to service is enabled and do not supply an apikey. (example: true) - **eventstreams_endpoint** (object): Property values for the Event Streams Endpoint in responses. - **target_crn** (string) (required): The CRN of the Event Streams instance. (example: "crn:v1:bluemix:public:messagehub:us-south:a/11111111111111111111111111111111:22222222-2222-2222-2222-222222222222::") - **brokers** (array (string)) (required): List of broker endpoints. - **topic** (string) (required): The messsage hub topic defined in the Event Streams instance. (example: "my-topic") - **api_key** (string): The user password (api key) for the message hub topic in the Event Streams instance. (example: "xxxxxxxxxxxxxx") - **service_to_service_enabled** (boolean): Determines if IBM Cloud Activity Tracker Event Routing has service to service authentication enabled. Set this flag to true if service to service is enabled and do not supply an apikey. (example: false) - **cloudlogs_endpoint** (object): Property values for the IBM Cloud Logs endpoint in responses. - **target_crn** (string) (required): The CRN of the IBM Cloud Logs instance. (example: "crn:v1:bluemix:public:eu-es:a/11111111111111111111111111111111:22222222-2222-2222-2222-222222222222::") - **write_status** (object) (required): The status of the write attempt to the target with the provided endpoint parameters. - **status** (string) (required): The status such as failed or success. (example: "success") - **last_failure** (string (date-time)): The timestamp of the failure. (example: "2021-05-18T20:15:12.353Z") - **reason_for_last_failure** (string): Detailed description of the cause of the failure. (example: "Provided API key could not be found") - **created_at** (string (date-time)) (required): The timestamp of the target creation time. (example: "2021-05-18T20:15:12.353Z") - **updated_at** (string (date-time)) (required): The timestamp of the target last updated time. (example: "2021-05-18T20:15:12.353Z") - **message** (string): An optional message containing information about the target. (example: "This is a valid target. However, there is another target already defined with the same target endpoint.") - **api_version** (integer) (required): The API version of the target. (example: 2) - **managed_by** (string (enterprise|account)) (required): Identifies who manages the target. (example: "enterprise") ("enterprise"|"account") #### 400 - response **ErrorReport** #### 401 - response **ErrorReport** #### 403 - response **ErrorReport** #### 429 - response **ErrorReport** #### 500 - response **ErrorReport** ### Example Usage ```bash curl -X GET "https://us-south.atracker.cloud.ibm.com/api/v2/targets?region=string" ``` ``` -------------------------------- ### GET /api/v2/routes/{id} Source: https://cloud.ibm.com/apidocs/atracker.json Get the configuration details of a route. **Enterprise management** - The response includes the `managed_by:` field. - The `managed_by` value is immutable. ```markdown ### Responses #### 200 - Retrieve a route. **Route** - **id** (string) (required): The uuid of the route resource. (example: "c3af557f-fb0e-4476-85c3-0889e7fe7bc4") - **name** (string) (required): The name of the route. (example: "my-route") - **crn** (string) (required): The crn of the route resource. (example: "crn:v1:bluemix:public:atracker:global:a/11111111111111111111111111111111:b6eec08b-5201-08ca-451b-cd71523e3626:route:c3af557f-fb0e-4476-85c3-0889e7fe7bc4") - **version** (integer): The version of the route. (example: 0) - **rules** (array (Rule)) (required): The routing rules that will be evaluated in their order of the array. Once a rule is matched, the remaining rules in the route definition will be skipped. Array items: - **target_ids** (array (string)) (required): The target ID List. All the events will be send to all targets listed in the rule. You can include targets from other regions. - **locations** (array (string)) (required): Logs from these locations will be sent to the targets specified. Locations is a superset of regions including global and *. - **created_at** (string (date-time)) (required): The timestamp of the route creation time. (example: "2021-05-18T20:15:12.353Z") - **updated_at** (string (date-time)) (required): The timestamp of the route last updated time. (example: "2021-05-18T20:15:12.353Z") - **api_version** (integer) (required): The API version of the route. (example: 2) - **message** (string): An optional message containing information about the route. (example: "Route was created successfully.") - **managed_by** (string (enterprise|account)): Present when the route is enterprise-managed (`managed_by: enterprise`). (example: "enterprise") ("enterprise"|"account") #### 400 - response **ErrorReport** #### 401 - response **ErrorReport** #### 403 - response **ErrorReport** #### 404 - response **ErrorReport** #### 429 - response **ErrorReport** #### 500 - response **ErrorReport** ### Example Usage ```bash curl -X GET "https://us-south.atracker.cloud.ibm.com/api/v2/routes/{id}" ``` ``` -------------------------------- ### GET /api/v2/routes Source: https://cloud.ibm.com/apidocs/atracker.json List the route that is configured for an account. **Enterprise management** - The response includes the `managed_by` field. - The `managed_by` value is immutable. ```markdown ### Responses #### 200 - List routes defined. **RouteList** - **routes** (array (Route)) (required): A list of route resources. Array items: - **id** (string) (required): The uuid of the route resource. (example: "c3af557f-fb0e-4476-85c3-0889e7fe7bc4") - **name** (string) (required): The name of the route. (example: "my-route") - **crn** (string) (required): The crn of the route resource. (example: "crn:v1:bluemix:public:atracker:global:a/11111111111111111111111111111111:b6eec08b-5201-08ca-451b-cd71523e3626:route:c3af557f-fb0e-4476-85c3-0889e7fe7bc4") - **version** (integer): The version of the route. (example: 0) - **rules** (array (Rule)) (required): The routing rules that will be evaluated in their order of the array. Once a rule is matched, the remaining rules in the route definition will be skipped. Array items: - **target_ids** (array (string)) (required): The target ID List. All the events will be send to all targets listed in the rule. You can include targets from other regions. - **locations** (array (string)) (required): Logs from these locations will be sent to the targets specified. Locations is a superset of regions including global and *. - **created_at** (string (date-time)) (required): The timestamp of the route creation time. (example: "2021-05-18T20:15:12.353Z") - **updated_at** (string (date-time)) (required): The timestamp of the route last updated time. (example: "2021-05-18T20:15:12.353Z") - **api_version** (integer) (required): The API version of the route. (example: 2) - **message** (string): An optional message containing information about the route. (example: "Route was created successfully.") - **managed_by** (string (enterprise|account)): Present when the route is enterprise-managed (`managed_by: enterprise`). (example: "enterprise") ("enterprise"|"account") #### 400 - response **ErrorReport** #### 401 - response **ErrorReport** #### 403 - response **ErrorReport** #### 429 - response **ErrorReport** #### 500 - response **ErrorReport** ### Example Usage ```bash curl -X GET "https://us-south.atracker.cloud.ibm.com/api/v2/routes" ``` ``` -------------------------------- ### POST /api/v2/targets Source: https://cloud.ibm.com/apidocs/atracker.json Creates a target that includes information about the endpoint and the credentials required to write to that target. You can send your logs from all regions to a single target, different targets or multiple targets. One target per region is not required. You can define up to 16 targets per account. **Enterprise management**: Optionally set `managed_by: "enterprise"` in the request body to create an enterprise-managed target. the `managed_by` value is immutable after creation and you cannot mingle account-managed and enterprise-managed resources ```markdown ### Request Body **Content-Type:** application/json - **name** (string) (required): The name of the target. The name must be 1000 characters or less, and cannot include any special characters other than `(space) - . _ :`. Do not include any personal identifying information (PII) in any resource names. (example: "my-cos-target") - **target_type** (string (cloud_object_storage|event_streams|cloud_logs)) (required): The type of the target. It can be cloud_object_storage, event_streams, or cloud_logs. Based on this type you must include cos_endpoint, eventstreams_endpoint or cloudlogs_endpoint. (example: "cloud_object_storage") ("cloud_object_storage"|"event_streams"|"cloud_logs") - **cos_endpoint** (object): Property values for a Cloud Object Storage Endpoint in requests. - **endpoint** (string) (required): The host name of the Cloud Object Storage endpoint. (example: "s3.private.us-east.cloud-object-storage.appdomain.cloud") - **target_crn** (string) (required): The CRN of the Cloud Object Storage instance. (example: "crn:v1:bluemix:public:cloud-object-storage:global:a/11111111111111111111111111111111:22222222-2222-2222-2222-222222222222::") - **bucket** (string) (required): The bucket name under the Cloud Object Storage instance. (example: "my-atracker-bucket") - **api_key** (string): The IAM API key that has writer access to the Cloud Object Storage instance. This credential is masked in the response. This is required if service_to_service is not enabled. (example: "xxxxxxxxxxxxxx") - **service_to_service_enabled** (boolean): Determines if IBM Cloud Activity Tracker Event Routing has service to service authentication enabled. Set this flag to true if service to service is enabled and do not supply an apikey. (example: true) - **eventstreams_endpoint** (object): Property values for an Event Streams Endpoint in requests. - **target_crn** (string) (required): The CRN of the Event Streams instance. (example: "crn:v1:bluemix:public:messagehub:us-south:a/11111111111111111111111111111111:22222222-2222-2222-2222-222222222222::") - **brokers** (array (string)) (required): List of broker endpoints. - **topic** (string) (required): The messsage hub topic defined in the Event Streams instance. (example: "my-topic") - **api_key** (string): The user password (api key) for the message hub topic in the Event Streams instance. This is required if service_to_service is not enabled. (example: "xxxxxxxxxxxxxx") - **service_to_service_enabled** (boolean): Determines if IBM Cloud Activity Tracker Event Routing has service to service authentication enabled. Set this flag to true if service to service is enabled and do not supply an apikey. (example: false) - **cloudlogs_endpoint** (object): Property values for an IBM Cloud Logs endpoint in requests. - **target_crn** (string) (required): The CRN of the IBM Cloud Logs instance. (example: "crn:v1:bluemix:public:logs:eu-es:a/11111111111111111111111111111111:22222222-2222-2222-2222-222222222222::") - **region** (string): Include this optional field if you want to create a target in a different region other than the one you are connected. (example: "us-south") - **managed_by** (string (enterprise|account)): Identifies who manages this target. Optional at create time. If set to `enterprise`, the target becomes enterprise-managed and can only be modified by identities authorized for the enterprise actions. If omitted or set to `account`, the target is managed by the child account. This value is immutable after creation. (example: "enterprise") ("enterprise"|"account") ### Responses #### 201 - The COS target was successfully created for this region. **Target** - **id** (string) (required): The uuid of the target resource. (example: "f7dcfae6-e7c5-08ca-451b-fdfa696c9bb6") - **name** (string) (required): The name of the target resource. (example: "a-cos-target-us-south") - **crn** (string) (required): The crn of the target resource. (example: "crn:v1:bluemix:public:atracker:us-south:a/11111111111111111111111111111111:b6eec08b-5201-08ca-451b-cd71523e3626:target:f7dcfae6-e7c5-08ca-451b-fdfa696c9bb6") - **target_type** (string (cloud_object_storage|event_streams|cloud_logs)) (required): The type of the target. (example: "cloud_object_storage") ("cloud_object_storage"|"event_streams"|"cloud_logs") - **region** (string): Included this optional field if you used it to create a target in a different region other than the one you are connected. (example: "us-south") - **cos_endpoint** (object): Property values for a Cloud Object Storage Endpoint in responses. - **endpoint** (string) (required): The host name of the Cloud Object Storage endpoint. (example: "s3.private.us-east.cloud-object-storage.appdomain.cloud") - **target_crn** (string) (required): The CRN of the Cloud Object Storage instance. (example: "crn:v1:bluemix:public:cloud-object-storage:global:a/11111111111111111111111111111111:22222222-2222-2222-2222-222222222222::") - **bucket** (string) (required): The bucket name under the Cloud Object Storage instance. (example: "my-atracker-bucket") - **service_to_service_enabled** (boolean) (required): Determines if IBM Cloud Activity Tracker Event Routing has service to service authentication enabled. Set this flag to true if service to service is enabled and do not supply an apikey. (example: true) - **eventstreams_endpoint** (object): Property values for the Event Streams Endpoint in responses. - **target_crn** (string) (required): The CRN of the Event Streams instance. (example: "crn:v1:bluemix:public:messagehub:us-south:a/11111111111111111111111111111111:22222222-2222-2222-2222-222222222222::") - **brokers** (array (string)) (required): List of broker endpoints. - **topic** (string) (required): The messsage hub topic defined in the Event Streams instance. (example: "my-topic") - **api_key** (string): The user password (api key) for the message hub topic in the Event Streams instance. (example: "xxxxxxxxxxxxxx") - **service_to_service_enabled** (boolean): Determines if IBM Cloud Activity Tracker Event Routing has service to service authentication enabled. Set this flag to true if service to service is enabled and do not supply an apikey. (example: false) - **cloudlogs_endpoint** (object): Property values for the IBM Cloud Logs endpoint in responses. - **target_crn** (string) (required): The CRN of the IBM Cloud Logs instance. (example: "crn:v1:bluemix:public:eu-es:a/11111111111111111111111111111111:22222222-2222-2222-2222-222222222222::") - **write_status** (object) (required): The status of the write attempt to the target with the provided endpoint parameters. - **status** (string) (required): The status such as failed or success. (example: "success") - **last_failure** (string (date-time)): The timestamp of the failure. (example: "2021-05-18T20:15:12.353Z") - **reason_for_last_failure** (string): Detailed description of the cause of the failure. (example: "Provided API key could not be found") - **created_at** (string (date-time)) (required): The timestamp of the target creation time. (example: "2021-05-18T20:15:12.353Z") - **updated_at** (string (date-time)) (required): The timestamp of the target last updated time. (example: "2021-05-18T20:15:12.353Z") - **message** (string): An optional message containing information about the target. (example: "This is a valid target. However, there is another target already defined with the same target endpoint.") - **api_version** (integer) (required): The API version of the target. (example: 2) - **managed_by** (string (enterprise|account)) (required): Identifies who manages the target. (example: "enterprise") ("enterprise"|"account") #### 400 - response **ErrorReport** #### 401 - response **ErrorReport** #### 403 - response **ErrorReport** #### 422 - response **ErrorReport** #### 429 - response **ErrorReport** #### 500 - response **ErrorReport** ### Example Usage ```bash curl -X POST "https://us-south.atracker.cloud.ibm.com/api/v2/targets" \ -H "Content-Type: application/json" \ -d '{ "name": "my-cos-target", "target_type": "cloud_object_storage", "cos_endpoint": "value", "eventstreams_endpoint": "value", "cloudlogs_endpoint": "value", "region": "us-south", "managed_by": "enterprise" }' ``` ``` -------------------------------- ### Schema: Warning Source: https://cloud.ibm.com/apidocs/atracker.json The warning object. ```markdown ## Schema: Warning The warning object. **Type:** object - **code** (string) (required): The warning code. - **message** (string) (required): The warning message. ``` -------------------------------- ### Schema: Settings Source: https://cloud.ibm.com/apidocs/atracker.json Activity Tracker Event Routing settings response ```markdown ## Schema: Settings Activity Tracker Event Routing settings response **Type:** object - **default_targets** (array (string)) (required): The target ID List. In the event that no routing rule causes the event to be sent to a target, these targets will receive the event. Enterprise-managed targets are not supported. - **permitted_target_regions** (array (string)) (required): If present then only these regions may be used to define a target. - **metadata_region_primary** (string) (required): To store all your meta data in a single region. (example: "us-south") - **metadata_region_backup** (string): To store all your meta data in a backup region. (example: "eu-de") - **private_api_endpoint_only** (boolean) (required): If you set this true then you cannot access api through public network. (example: false) - **api_version** (integer) (required): API version used for configuring IBM Cloud Activity Tracker Event Routing resources in the account. (example: 2) - **message** (string): An optional message containing information about the audit log locations. (example: "The route and target audit logs can be found in the metadata primary region and everything else can be found in the region it is being called from.") ``` -------------------------------- ### Schema: TargetList Source: https://cloud.ibm.com/apidocs/atracker.json A list of target resources. ```markdown ## Schema: TargetList A list of target resources. **Type:** object - **targets** (array (Target)) (required): A list of target resources. Array items: - **id** (string) (required): The uuid of the target resource. (example: "f7dcfae6-e7c5-08ca-451b-fdfa696c9bb6") - **name** (string) (required): The name of the target resource. (example: "a-cos-target-us-south") - **crn** (string) (required): The crn of the target resource. (example: "crn:v1:bluemix:public:atracker:us-south:a/11111111111111111111111111111111:b6eec08b-5201-08ca-451b-cd71523e3626:target:f7dcfae6-e7c5-08ca-451b-fdfa696c9bb6") - **target_type** (string (cloud_object_storage|event_streams|cloud_logs)) (required): The type of the target. (example: "cloud_object_storage") ("cloud_object_storage"|"event_streams"|"cloud_logs") - **region** (string): Included this optional field if you used it to create a target in a different region other than the one you are connected. (example: "us-south") - **cos_endpoint** (object): Property values for a Cloud Object Storage Endpoint in responses. - **endpoint** (string) (required): The host name of the Cloud Object Storage endpoint. (example: "s3.private.us-east.cloud-object-storage.appdomain.cloud") - **target_crn** (string) (required): The CRN of the Cloud Object Storage instance. (example: "crn:v1:bluemix:public:cloud-object-storage:global:a/11111111111111111111111111111111:22222222-2222-2222-2222-222222222222::") - **bucket** (string) (required): The bucket name under the Cloud Object Storage instance. (example: "my-atracker-bucket") - **service_to_service_enabled** (boolean) (required): Determines if IBM Cloud Activity Tracker Event Routing has service to service authentication enabled. Set this flag to true if service to service is enabled and do not supply an apikey. (example: true) - **eventstreams_endpoint** (object): Property values for the Event Streams Endpoint in responses. - **target_crn** (string) (required): The CRN of the Event Streams instance. (example: "crn:v1:bluemix:public:messagehub:us-south:a/11111111111111111111111111111111:22222222-2222-2222-2222-222222222222::") - **brokers** (array (string)) (required): List of broker endpoints. - **topic** (string) (required): The messsage hub topic defined in the Event Streams instance. (example: "my-topic") - **api_key** (string): The user password (api key) for the message hub topic in the Event Streams instance. (example: "xxxxxxxxxxxxxx") - **service_to_service_enabled** (boolean): Determines if IBM Cloud Activity Tracker Event Routing has service to service authentication enabled. Set this flag to true if service to service is enabled and do not supply an apikey. (example: false) - **cloudlogs_endpoint** (object): Property values for the IBM Cloud Logs endpoint in responses. - **target_crn** (string) (required): The CRN of the IBM Cloud Logs instance. (example: "crn:v1:bluemix:public:eu-es:a/11111111111111111111111111111111:22222222-2222-2222-2222-222222222222::") - **write_status** (object) (required): The status of the write attempt to the target with the provided endpoint parameters. - **status** (string) (required): The status such as failed or success. (example: "success") - **last_failure** (string (date-time)): The timestamp of the failure. (example: "2021-05-18T20:15:12.353Z") - **reason_for_last_failure** (string): Detailed description of the cause of the failure. (example: "Provided API key could not be found") - **created_at** (string (date-time)) (required): The timestamp of the target creation time. (example: "2021-05-18T20:15:12.353Z") - **updated_at** (string (date-time)) (required): The timestamp of the target last updated time. (example: "2021-05-18T20:15:12.353Z") - **message** (string): An optional message containing information about the target. (example: "This is a valid target. However, there is another target already defined with the same target endpoint.") - **api_version** (integer) (required): The API version of the target. (example: 2) - **managed_by** (string (enterprise|account)) (required): Identifies who manages the target. (example: "enterprise") ("enterprise"|"account") ``` -------------------------------- ### Schema: RouteList Source: https://cloud.ibm.com/apidocs/atracker.json A list of route resources. ```markdown ## Schema: RouteList A list of route resources. **Type:** object - **routes** (array (Route)) (required): A list of route resources. Array items: - **id** (string) (required): The uuid of the route resource. (example: "c3af557f-fb0e-4476-85c3-0889e7fe7bc4") - **name** (string) (required): The name of the route. (example: "my-route") - **crn** (string) (required): The crn of the route resource. (example: "crn:v1:bluemix:public:atracker:global:a/11111111111111111111111111111111:b6eec08b-5201-08ca-451b-cd71523e3626:route:c3af557f-fb0e-4476-85c3-0889e7fe7bc4") - **version** (integer): The version of the route. (example: 0) - **rules** (array (Rule)) (required): The routing rules that will be evaluated in their order of the array. Once a rule is matched, the remaining rules in the route definition will be skipped. Array items: - **target_ids** (array (string)) (required): The target ID List. All the events will be send to all targets listed in the rule. You can include targets from other regions. - **locations** (array (string)) (required): Logs from these locations will be sent to the targets specified. Locations is a superset of regions including global and *. - **created_at** (string (date-time)) (required): The timestamp of the route creation time. (example: "2021-05-18T20:15:12.353Z") - **updated_at** (string (date-time)) (required): The timestamp of the route last updated time. (example: "2021-05-18T20:15:12.353Z") - **api_version** (integer) (required): The API version of the route. (example: 2) - **message** (string): An optional message containing information about the route. (example: "Route was created successfully.") - **managed_by** (string (enterprise|account)): Present when the route is enterprise-managed (`managed_by: enterprise`). (example: "enterprise") ("enterprise"|"account") ``` -------------------------------- ### Schema: Error Source: https://cloud.ibm.com/apidocs/atracker.json The error object. ```markdown ## Schema: Error The error object. **Type:** object - **code** (string) (required): The error code. - **message** (string) (required): The error message. - **more_info** (string): A location where more detail on this sype of error can be found. ``` -------------------------------- ### Schema: SettingsPrototype Source: https://cloud.ibm.com/apidocs/atracker.json Activity Tracker Event Routing settings request ```markdown ## Schema: SettingsPrototype Activity Tracker Event Routing settings request **Type:** object - **default_targets** (array (string)): The target ID List. In the event that no routing rule causes the event to be sent to a target, these targets will receive the event. Enterprise-managed targets are not supported. - **permitted_target_regions** (array (string)): If present then only these regions may be used to define a target. - **metadata_region_primary** (string) (required): To store all your meta data in a single region. (example: "us-south") - **metadata_region_backup** (string): To store all your meta data in a backup region. (example: "eu-de") - **private_api_endpoint_only** (boolean) (required): If you set this true then you cannot access api through public network. (example: false) ``` -------------------------------- ### Schema: Rule Source: https://cloud.ibm.com/apidocs/atracker.json A configuration to route events to pre-defined target. ```markdown ## Schema: Rule A configuration to route events to pre-defined target. **Type:** object - **target_ids** (array (string)) (required): The target ID List. All the events will be send to all targets listed in the rule. You can include targets from other regions. - **locations** (array (string)) (required): Logs from these locations will be sent to the targets specified. Locations is a superset of regions including global and *. ``` -------------------------------- ### Schema: RulePrototype Source: https://cloud.ibm.com/apidocs/atracker.json A configuration to route events to pre-defined target. ```markdown ## Schema: RulePrototype A configuration to route events to pre-defined target. **Type:** object - **target_ids** (array (string)) (required): The target ID List. All the events will be send to all targets listed in the rule. You can include targets from other regions. - **locations** (array (string)): Logs from these locations will be sent to the targets specified. Locations is a superset of regions including global and *. ```